Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/19269/?format=api
{ "ob_id": 19269, "uuid": "e4ac4e34d4d5417592e303aad22b529f", "title": "ECMWF ERA-15: Sample Data", "abstract": "The European Centre for Medium-Range Weather Forecasts (ECMWF) has provided global atmospheric analyses from its archive for many years. The ERA-15 Re-analysis project was devised in response to wishes expressed by many users for a data set generated by a modern, consistent, and invariant data assimilation system. The ERA-15 project produced a long time-series (January 1979 - February 1994) of consistent meteorological analyses using a single version of the ECMWF model. \r\n\r\nThis dataset is a direct copy of disk 1 of the ECMWF Re-Anlysis Sample Data CD-ROM. It contain some evaporation data which is not elsewhere in the CEDA archive. The data are 2.5 degree gridded at 12Z daily for the Re-Analysis period, 1979-1993. The parameters are:\r\n\r\nU10 - The 10 meter U wind component (also in BADC archive)\r\nV10 - The 10 meter U wind component (also in BADC archive)\r\ne - evaporation\r\ntp - Total precipitation (large scale plus convective) (also in BADC archive)\r\ntcc - Total Cloud cover (also in BADC archive)\r\nt2 - 2 meter temperature (also in BADC archive)\r\nd2 - 2 meter dew point temperature", "keywords": "ECMWF, ERA, ERA 15, reanalysis, surface, model", "publicationState": "published", "dataPublishedTime": "2006-12-10T11:29:19", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/19270/?format=api", "dataPath": "/badc/ecmwf-era/data/sampledata", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 627604666, "numberOfFiles": 200, "fileFormat": "Data are GRIB 1 formatted." }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/1583/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/1/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21974/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/60668/?format=api" ], "dataLineage": "Data were extracted from European Centre for Medium-Range Weather Forecasts (ECMWF) MARS system and transferred to BADC where they were ingested into the archive.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/5490/?format=api" ], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/5487/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72796/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72798/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72842/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72795/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72792/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72791/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72794/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72793/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72843/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72844/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/72797/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": "https://api.catalogue.ceda.ac.uk/api/v2/computations/5491/?format=api", "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2536/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/ecmwf-era-products.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }